Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkThreadSafeLog Class Reference

`#include <vtkThreadSafeLog.h>`

Inheritance diagram for vtkThreadSafeLog:

[legend]
Collaboration diagram for vtkThreadSafeLog:

[legend]
List of all members.

## Detailed Description

Saves tag/float entries.

Date:
  2002/08/12 15:20:30

Revision:
  1.7

For timing Port stuff. Float values are saved with associated string tags.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (84%)
  - Schroeder, Will (10%)

CVS logs (CVSweb):
  - .`h` (`/Parallel/vtkThreadSafeLog.h)`
  - .`cxx` (`/Parallel/vtkThreadSafeLog.cxx)`

Definition at line 43 of file vtkThreadSafeLog.h.

## Public Types
typedef vtkObject | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
void | AddEntry (char *tag, float value)
void | DumpLog (char *filename, int mode=ios::out)
void | StartTimer ()
void | StopTimer ()
double | GetElapsedTime ()
## Static Public Methods
vtkThreadSafeLog * | New ()
int | IsTypeOf (const char *type)
vtkThreadSafeLog * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkThreadSafeLog ()
| ~vtkThreadSafeLog ()
## Protected Attributes
char * | Tags [VTK_THREAD_SAFE_LOG_MAX]
float | Values [VTK_THREAD_SAFE_LOG_MAX]
int | NumberOfEntries
vtkTimerLog * | Timer

## Member Typedef Documentation

typedef vtkObject vtkThreadSafeLog::Superclass

| Reimplemented from vtkObject. Definition at line 47 of file vtkThreadSafeLog.h.

## Constructor & Destructor Documentation

vtkThreadSafeLog::vtkThreadSafeLog | ( |  | ) | `[protected]`

vtkThreadSafeLog::~vtkThreadSafeLog | ( |  | ) | `[protected]`

## Member Function Documentation

vtkThreadSafeLog* vtkThreadSafeLog::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkThreadSafeLog::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkObject.

int vtkThreadSafeLog::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject.

virtual int vtkThreadSafeLog::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject.

vtkThreadSafeLog* vtkThreadSafeLog::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkObject.

virtual void vtkThreadSafeLog::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkObject.

void vtkThreadSafeLog::StartTimer | ( |  | ) | `[inline]`

| some of the timeing features of vtkTimerLog. Definition at line 52 of file vtkThreadSafeLog.h.

void vtkThreadSafeLog::StopTimer | ( |  | ) | `[inline]`

| some of the timeing features of vtkTimerLog. Definition at line 53 of file vtkThreadSafeLog.h.

double vtkThreadSafeLog::GetElapsedTime | ( |  | ) | `[inline]`

| some of the timeing features of vtkTimerLog. Definition at line 54 of file vtkThreadSafeLog.h.

void vtkThreadSafeLog::AddEntry | ( | char * | tag,
|  | float | value
| ) |

| Save a tag/value pair.

void vtkThreadSafeLog::DumpLog | ( | char * | filename,
|  | int | mode = ios::out
| ) |

| Write the timing table out to a file. if mode is out, then two lines are printed: Tags on first, values on second. If mode is iso::app, then only the line with values is printed.

## Member Data Documentation

char* vtkThreadSafeLog::Tags[VTK_THREAD_SAFE_LOG_MAX]`[protected]`

| Definition at line 71 of file vtkThreadSafeLog.h.

float vtkThreadSafeLog::Values[VTK_THREAD_SAFE_LOG_MAX]`[protected]`

| Definition at line 72 of file vtkThreadSafeLog.h.

int vtkThreadSafeLog::NumberOfEntries`[protected]`

| Definition at line 73 of file vtkThreadSafeLog.h.

vtkTimerLog* vtkThreadSafeLog::Timer`[protected]`

| Definition at line 75 of file vtkThreadSafeLog.h.

The documentation for this class was generated from the following file:

- Parallel/vtkThreadSafeLog.h